commit:     10e80accf8f641cf77cd11546ae8333da3ad80ec
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 30 21:25:13 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 30 21:45:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10e80acc

net-nds/tac_plus: port to EAPI 7, drop base.eclass

Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/tac_plus-4.0.4.19-deansification.patch   |  5 ++--
 .../files/tac_plus-4.0.4.19-parallelmake.patch     |  6 ++---
 .../files/tac_plus-4.0.4.27a-deansification.patch  |  5 ++--
 .../files/tac_plus-4.0.4.27a-parallelmake.patch    |  5 ++--
 net-nds/tac_plus/files/tac_plus.conf               |  3 +--
 net-nds/tac_plus/files/tac_plus.conf2              |  2 +-
 net-nds/tac_plus/tac_plus-4.0.4.19-r4.ebuild       | 28 ++++++++++++----------
 net-nds/tac_plus/tac_plus-4.0.4.27a.ebuild         | 25 +++++++++++--------
 8 files changed, 41 insertions(+), 38 deletions(-)

diff --git a/net-nds/tac_plus/files/tac_plus-4.0.4.19-deansification.patch 
b/net-nds/tac_plus/files/tac_plus-4.0.4.19-deansification.patch
index 4dbc3370726..4a1f579c62e 100644
--- a/net-nds/tac_plus/files/tac_plus-4.0.4.19-deansification.patch
+++ b/net-nds/tac_plus/files/tac_plus-4.0.4.19-deansification.patch
@@ -1,6 +1,5 @@
-diff -uNr tacacs+-F4.0.4.19.ORIG/configure.in tacacs+-F4.0.4.19/configure.in
---- tacacs+-F4.0.4.19.ORIG/configure.in        2013-02-28 21:26:31.724310410 
+0000
-+++ tacacs+-F4.0.4.19/configure.in     2013-02-28 21:26:41.936309960 +0000
+--- a/configure.in
++++ b/configure.in
 @@ -126,7 +126,6 @@
  
  # compiler specifics

diff --git a/net-nds/tac_plus/files/tac_plus-4.0.4.19-parallelmake.patch 
b/net-nds/tac_plus/files/tac_plus-4.0.4.19-parallelmake.patch
index 556f75806fb..a8ca67e7362 100644
--- a/net-nds/tac_plus/files/tac_plus-4.0.4.19-parallelmake.patch
+++ b/net-nds/tac_plus/files/tac_plus-4.0.4.19-parallelmake.patch
@@ -1,7 +1,5 @@
-Index: tacacs+-F4.0.4.19/Makefile.am
-===================================================================
---- tacacs+-F4.0.4.19.orig/Makefile.am
-+++ tacacs+-F4.0.4.19/Makefile.am
+--- a/Makefile.am
++++ b/Makefile.am
 @@ -16,7 +16,7 @@ if TACSKEY
  tac_plus_SOURCES += skey_fn.c
  endif

diff --git a/net-nds/tac_plus/files/tac_plus-4.0.4.27a-deansification.patch 
b/net-nds/tac_plus/files/tac_plus-4.0.4.27a-deansification.patch
index ee1bcb23183..4a1f579c62e 100644
--- a/net-nds/tac_plus/files/tac_plus-4.0.4.27a-deansification.patch
+++ b/net-nds/tac_plus/files/tac_plus-4.0.4.27a-deansification.patch
@@ -1,6 +1,5 @@
-diff -uNr tacacs+-F4.0.4.27a.ORIG/configure.in tacacs+-F4.0.4.27a/configure.in
---- tacacs+-F4.0.4.27a.ORIG/configure.in       2015-03-25 11:13:06.976024203 
+0000
-+++ tacacs+-F4.0.4.27a/configure.in    2015-03-25 11:13:36.816025689 +0000
+--- a/configure.in
++++ b/configure.in
 @@ -126,7 +126,6 @@
  
  # compiler specifics

diff --git a/net-nds/tac_plus/files/tac_plus-4.0.4.27a-parallelmake.patch 
b/net-nds/tac_plus/files/tac_plus-4.0.4.27a-parallelmake.patch
index c75a05b0cd1..d77c4714e38 100644
--- a/net-nds/tac_plus/files/tac_plus-4.0.4.27a-parallelmake.patch
+++ b/net-nds/tac_plus/files/tac_plus-4.0.4.27a-parallelmake.patch
@@ -1,6 +1,5 @@
-diff -uNr tacacs+-F4.0.4.27a.ORIG/Makefile.am tacacs+-F4.0.4.27a/Makefile.am
---- tacacs+-F4.0.4.27a.ORIG/Makefile.am        2015-03-25 11:10:26.821016226 
+0000
-+++ tacacs+-F4.0.4.27a/Makefile.am     2015-03-25 11:11:04.954018126 +0000
+--- a/Makefile.am
++++ b/Makefile.am
 @@ -19,7 +19,7 @@
  tac_plus_SOURCES += aceclnt_fn.c
  endif

diff --git a/net-nds/tac_plus/files/tac_plus.conf 
b/net-nds/tac_plus/files/tac_plus.conf
index 83403e0bc1c..dfdf2186a81 100644
--- a/net-nds/tac_plus/files/tac_plus.conf
+++ b/net-nds/tac_plus/files/tac_plus.conf
@@ -6,7 +6,6 @@
 #key = kEy4U
 
 #user = youruser {
-#  login = des ndkKAzNoc37VA 
+#  login = des ndkKAzNoc37VA
 #  enable = des ndkKAzNoc37VA
 #}
-

diff --git a/net-nds/tac_plus/files/tac_plus.conf2 
b/net-nds/tac_plus/files/tac_plus.conf2
index 617e3442028..406fff33b80 100644
--- a/net-nds/tac_plus/files/tac_plus.conf2
+++ b/net-nds/tac_plus/files/tac_plus.conf2
@@ -6,7 +6,7 @@
 #key = kEy4U
 
 #user = youruser {
-#  login = des ndkKAzNoc37VA 
+#  login = des ndkKAzNoc37VA
 #  enable = des ndkKAzNoc37VA
 #}
 

diff --git a/net-nds/tac_plus/tac_plus-4.0.4.19-r4.ebuild 
b/net-nds/tac_plus/tac_plus-4.0.4.19-r4.ebuild
index f94caec0a18..5d770f4652e 100644
--- a/net-nds/tac_plus/tac_plus-4.0.4.19-r4.ebuild
+++ b/net-nds/tac_plus/tac_plus-4.0.4.19-r4.ebuild
@@ -1,36 +1,37 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools base libtool
+inherit autotools
 
 MY_P="tacacs+-F${PV}"
-S="${WORKDIR}/${MY_P}"
-
 DESCRIPTION="An updated version of Cisco's TACACS+ server"
 HOMEPAGE="http://www.shrubbery.net/tac_plus/";
 SRC_URI="ftp://ftp.shrubbery.net/pub/tac_plus/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
 
 LICENSE="HPND RSA GPL-2" # GPL-2 only for init script
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="debug finger maxsess tcpd skey static-libs"
 
-DEPEND="skey? ( >=sys-auth/skey-1.1.5-r1 )
+DEPEND="
+       sys-libs/pam
+       skey? ( >=sys-auth/skey-1.1.5-r1 )
        tcpd? ( sys-apps/tcp-wrappers )
-       sys-libs/pam"
+"
 RDEPEND="${DEPEND}"
 
 PATCHES=(
-"${FILESDIR}/${P}-parallelmake.patch"
-"${FILESDIR}/${P}-deansification.patch"
+       "${FILESDIR}"/${P}-parallelmake.patch
+       "${FILESDIR}"/${P}-deansification.patch
 )
 
 src_prepare() {
-       base_src_prepare
+       default
+
        AT_M4DIR="." eautoreconf
-       elibtoolize
 }
 
 src_configure() {
@@ -46,7 +47,10 @@ src_configure() {
 src_install() {
        emake DESTDIR="${D}" install
 
-       use static-libs || find "${D}" -name '*.la' -delete || die "Unable to 
remove spurious libtool archive"
+       if use static-libs ; then
+               find "${D}" -name '*.la' -delete || die "Unable to remove 
spurious libtool archive"
+       fi
+
        dodoc CHANGES FAQ
 
        newinitd "${FILESDIR}/tac_plus.init2" tac_plus

diff --git a/net-nds/tac_plus/tac_plus-4.0.4.27a.ebuild 
b/net-nds/tac_plus/tac_plus-4.0.4.27a.ebuild
index 710eeb83ce8..ca11e1018e3 100644
--- a/net-nds/tac_plus/tac_plus-4.0.4.27a.ebuild
+++ b/net-nds/tac_plus/tac_plus-4.0.4.27a.ebuild
@@ -1,25 +1,26 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
 
-inherit autotools base libtool
+inherit autotools
 
 MY_P="tacacs+-F${PV}"
-S="${WORKDIR}/${MY_P}"
-
 DESCRIPTION="An updated version of Cisco's TACACS+ server"
 HOMEPAGE="http://www.shrubbery.net/tac_plus/";
 SRC_URI="ftp://ftp.shrubbery.net/pub/tac_plus/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
 
 LICENSE="HPND RSA GPL-2" # GPL-2 only for init script
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~x86"
 IUSE="debug finger maxsess tcpd skey static-libs"
 
-DEPEND="skey? ( >=sys-auth/skey-1.1.5-r1 )
+DEPEND="
+       sys-libs/pam
+       skey? ( >=sys-auth/skey-1.1.5-r1 )
        tcpd? ( sys-apps/tcp-wrappers )
-       sys-libs/pam"
+"
 RDEPEND="${DEPEND}"
 
 PATCHES=(
@@ -28,10 +29,11 @@ PATCHES=(
 )
 
 src_prepare() {
-       base_src_prepare
+       default
+
        mv configure.in configure.ac || die "Unable to quiet autoconf 
deprecation warning"
        AT_M4DIR="." eautoreconf
-       elibtoolize
+
 }
 
 src_configure() {
@@ -47,7 +49,10 @@ src_configure() {
 src_install() {
        emake DESTDIR="${D}" install
 
-       use static-libs || find "${D}" -name '*.la' -delete || die "Unable to 
remove spurious libtool archive"
+       if use static-libs ; then
+               find "${ED}" -name '*.la' -delete || die "Unable to remove 
spurious libtool archive"
+       fi
+
        dodoc CHANGES FAQ
 
        newinitd "${FILESDIR}/tac_plus.init2" tac_plus

Reply via email to